## org.apache.batik.gvt.event
Interface GraphicsNodeChangeListener

All Superinterfaces:
  java.util.EventListener

All Known Subinterfaces:
  Selector

All Known Implementing Classes:
  ConcreteTextSelector, GraphicsNodeChangeAdapter, UpdateTracker

    public interface GraphicsNodeChangeListener

extends java.util.EventListener

The interface for listening to changes on graphics nodes.

Method Summary
`void` `changeCompleted(GraphicsNodeChangeEvent gnce)` Invoked when a change on a graphics node has completed
`void` `changeStarted(GraphicsNodeChangeEvent gnce)` Invoked when a change has started on a graphics node, but before any changes occure in the graphics node it's self.

Method Detail

### changeStarted

    void changeStarted(GraphicsNodeChangeEvent gnce)

  Invoked when a change has started on a graphics node, but before any changes occure in the graphics node it's self.

  Parameters:
    `gnce` - the graphics node change event

### changeCompleted

    void changeCompleted(GraphicsNodeChangeEvent gnce)

  Invoked when a change on a graphics node has completed

  Parameters:
    `gnce` - the graphics node change event

Copyright © 2008 Apache Software Foundation. All Rights Reserved.